--- app/clipboard/clipboard.h
+++ app/clipboard/clipboard.h
@@ -76,7 +76,7 @@ class Clipboard {
   // functions accept a buffer parameter.
   enum Buffer {
     BUFFER_STANDARD,
-#if defined(OS_LINUX)
+#if defined(USE_X11)
     BUFFER_SELECTION,
 #endif
   };
@@ -85,7 +85,7 @@ class Clipboard {
     switch (buffer) {
       case BUFFER_STANDARD:
         return true;
-#if defined(OS_LINUX)
+#if defined(USE_X11)
       case BUFFER_SELECTION:
         return true;
 #endif
@@ -114,7 +114,7 @@ class Clipboard {
 
   // On Linux, we need to know when the clipboard is set to a URL.  Most
   // platforms don't care.
-#if !defined(OS_LINUX)
+#if !defined(OS_NIX)
   void DidWriteURL(const std::string& utf8_text) {}
 #else  // !defined(OS_LINUX)
   void DidWriteURL(const std::string& utf8_text);
@@ -193,7 +193,7 @@ class Clipboard {
 
   void WriteBitmap(const char* pixel_data, const char* size_data);
 
-#if defined(OS_WIN) || defined(OS_LINUX) || defined(OS_FREEBSD)
+#if defined(OS_WIN) || defined(OS_NIX)
   // |format_name| is an ASCII string and should be NULL-terminated.
   // TODO(estade): port to mac.
   void WriteData(const char* format_name, size_t format_len,
diff --git app/clipboard/clipboard_unittest.cc app/clipboard/clipboard_unittest.cc
index 84cc69c..9ab3313 100644
