--- app/gfx/font.h
+++ app/gfx/font.h
@@ -11,7 +11,7 @@
 
 #if defined(OS_WIN)
 typedef struct HFONT__* HFONT;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 #include "third_party/skia/include/core/SkRefCnt.h"
 class SkPaint;
 class SkTypeface;
@@ -26,7 +26,7 @@ typedef struct HFONT__* NativeFont;
 class NSFont;
 #endif
 typedef NSFont* NativeFont;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 typedef struct _PangoFontDescription PangoFontDescription;
 class SkTypeface;
 typedef SkTypeface* NativeFont;
@@ -127,7 +127,7 @@ class Font {
   int vertical_dlus_to_pixels(int dlus) {
     return dlus * font_ref_->height() / 8;
   }
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   static Font CreateFont(PangoFontDescription* desc);
   // We need a copy constructor and assignment operator to deal with
   // the Skia reference counting.
@@ -210,7 +210,7 @@ class Font {
 
   // Indirect reference to the HFontRef, which references the underlying HFONT.
   scoped_refptr<HFontRef> font_ref_;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   explicit Font(SkTypeface* typeface, const std::wstring& name,
                 int size, int style);
   // Calculate and cache the font metrics.
diff --git app/l10n_util.cc app/l10n_util.cc
index d35f68d..5213d19 100644
