--- base/debug_util_posix.cc
+++ base/debug_util_posix.cc
@@ -172,7 +172,15 @@ bool DebugUtil::BeingDebugged() {
   return pid_index < status.size() && status[pid_index] != '0';
 }
 
-#endif  // OS_LINUX
+#elif defined(OS_FREEBSD)
+
+// TODO(benl): can we determine this under FreeBSD?
+
+bool DebugUtil::BeingDebugged() {
+ return false;
+}
+
+#endif
 
 // static
 void DebugUtil::BreakDebugger() {
diff --git base/file_util_linux.cc base/file_util_linux.cc
index 0f9795e..67619ac 100644
