--- base/message_loop.h
+++ base/message_loop.h
@@ -22,7 +22,7 @@
 #elif defined(OS_POSIX)
 #include "base/message_pump_libevent.h"
 #endif
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "base/message_pump_glib.h"
 #endif
 
@@ -237,7 +237,7 @@ class MessageLoop : public base::MessagePump::Delegate {
 #if defined(OS_WIN)
   typedef base::MessagePumpWin::Dispatcher Dispatcher;
   typedef base::MessagePumpWin::Observer Observer;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   typedef base::MessagePumpForUI::Dispatcher Dispatcher;
   typedef base::MessagePumpForUI::Observer Observer;
 #endif
@@ -252,7 +252,7 @@ class MessageLoop : public base::MessagePump::Delegate {
     // once it becomes idle.
     bool quit_received;
 
-#if defined(OS_WIN) || defined(OS_LINUX)
+#if defined(OS_WIN) || defined(USE_X11)
     Dispatcher* dispatcher;
 #endif
   };
@@ -440,7 +440,7 @@ class MessageLoopForUI : public MessageLoop {
   void PumpOutPendingPaintMessages();
 #endif
 
-#if defined(OS_WIN) || defined(OS_LINUX)
+#if defined(OS_WIN) || defined(USE_X11)
   // Please see message_pump_win/message_pump_glib for definitions of these
   // methods.
   void AddObserver(Observer* observer);
@@ -452,7 +452,7 @@ class MessageLoopForUI : public MessageLoop {
   base::MessagePumpForUI* pump_ui() {
     return static_cast<base::MessagePumpForUI*>(pump_.get());
   }
-#endif  // defined(OS_WIN) || defined(OS_LINUX)
+#endif  // defined(OS_WIN) || defined(USE_X11)
 };
 
 // Do not add any member variables to MessageLoopForUI!  This is important c
diff --git base/message_loop_unittest.cc base/message_loop_unittest.cc
index 16d1c1a..74491ce 100644
