--- build/build_config.h
+++ build/build_config.h
@@ -29,31 +29,31 @@
 #elif defined(__FreeBSD__)
 #define OS_FREEBSD 1
 #define TOOLKIT_GTK
+#elif defined(__OpenBSD__)
+#define OS_OPENBSD 1
+#define TOOLKIT_GTK
 #else
 #error Please add support for your platform in build/build_config.h
 #endif
 
+// To support all the common *nix features out there, use OS_NIX
+#if defined(OS_LINUX) || defined(OS_FREEBSD) || defined(OS_OPENBSD)
+#define OS_NIX 1
+#define USE_NSS 1 // Use NSS for crypto.
+#define USE_X11 1 // Use X for graphics.
+#endif
+
 // For access to standard POSIXish features, use OS_POSIX instead of a
 // more specific macro.
-#if defined(OS_MACOSX) || defined(OS_LINUX) || defined(OS_FREEBSD)
+#if defined(OS_MACOSX) || defined(OS_NIX)
 #define OS_POSIX 1
 #endif
 
 // Use base::DataPack for name/value pairs.
-#if defined(OS_MACOSX) || defined(OS_LINUX) || defined(OS_FREEBSD)
+#if defined(OS_MACOSX) || defined(OS_NIX)
 #define USE_BASE_DATA_PACK 1
 #endif
 
-// Use NSS for crypto.
-#if defined(OS_LINUX) || defined(OS_FREEBSD)
-#define USE_NSS 1
-#endif
-
-// Use X11 (and hence GTK/GDK)
-#if defined(OS_LINUX) || defined(OS_FREEBSD)
-#define USE_X11 1
-#endif
-
 // Use tcmalloc
 #if defined(OS_WIN) && ! defined(NO_TCMALLOC)
 #define USE_TCMALLOC 1
diff --git build/common.gypi build/common.gypi
index 4652db4..320e1b7 100644
