--- chrome/browser/extensions/extension_host.h
+++ chrome/browser/extensions/extension_host.h
@@ -16,7 +16,7 @@
 #if defined(TOOLKIT_VIEWS)
 #include "chrome/browser/views/browser_bubble.h"
 #include "chrome/browser/views/extensions/extension_view.h"
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 #include "chrome/browser/gtk/extension_view_gtk.h"
 #elif defined(OS_MACOSX)
 #include "chrome/browser/cocoa/extension_view_mac.h"
@@ -62,7 +62,7 @@ class ExtensionHost :  // NOLINT
 #if defined(TOOLKIT_VIEWS)
   void set_view(ExtensionView* view) { view_.reset(view); }
   ExtensionView* view() const { return view_.get(); }
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   ExtensionViewGtk* view() const { return view_.get(); }
 #elif defined(OS_MACOSX)
   ExtensionViewMac* view() const { return view_.get(); }
@@ -217,7 +217,7 @@ class ExtensionHost :  // NOLINT
   // Optional view that shows the rendered content in the UI.
 #if defined(TOOLKIT_VIEWS)
   scoped_ptr<ExtensionView> view_;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   scoped_ptr<ExtensionViewGtk> view_;
 #elif defined(OS_MACOSX)
   scoped_ptr<ExtensionViewMac> view_;
diff --git chrome/browser/extensions/extension_tabs_module.cc chrome/browser/extensions/extension_tabs_module.cc
index 059b97f..26f3901 100644
