--- skia/ext/vector_canvas.h
+++ skia/ext/vector_canvas.h
@@ -8,7 +8,7 @@
 #include "skia/ext/platform_canvas.h"
 #include "skia/ext/vector_platform_device.h"
 
-#if defined(__linux__)
+#if defined(__linux__) || defined(__FreeBSD__)
 typedef struct _cairo cairo_t;
 #endif
 
@@ -23,7 +23,7 @@ class VectorCanvas : public PlatformCanvas {
   VectorCanvas();
 #if defined(WIN32)
   VectorCanvas(HDC dc, int width, int height);
-#elif defined(__linux__)
+#elif defined(__linux__) || defined(__FreeBSD__)
   // Caller owns |context|. Ownership is not transferred.
   VectorCanvas(cairo_t* context, int width, int height);
 #endif
@@ -32,13 +32,13 @@ class VectorCanvas : public PlatformCanvas {
   // For two-part init, call if you use the no-argument constructor above
 #if defined(WIN32)
   bool initialize(HDC context, int width, int height);
-#elif defined(__linux__)
+#elif defined(__linux__) || defined(__FreeBSD__)
   // Ownership of |context| is not transferred.
   bool initialize(cairo_t* context, int width, int height);
 #endif
 
   virtual SkBounder* setBounder(SkBounder* bounder);
-#if defined(WIN32) || defined(__linux__)
+#if defined(WIN32) || defined(__linux__) || defined(__FreeBSD__)
   virtual SkDevice* createDevice(SkBitmap::Config config,
                                  int width, int height,
                                  bool is_opaque, bool isForLayer);
@@ -50,7 +50,7 @@ class VectorCanvas : public PlatformCanvas {
   // |shared_section| is in fact the HDC used for output. |is_opaque| is unused.
   virtual SkDevice* createPlatformDevice(int width, int height, bool is_opaque,
                                          HANDLE shared_section);
-#elif defined(__linux__)
+#elif defined(__linux__) || defined(__FreeBSD__)
   // Ownership of |context| is not transferred. |is_opaque| is unused.
   virtual SkDevice* createPlatformDevice(cairo_t* context,
                                          int width, int height,
diff --git skia/ext/vector_platform_device.h skia/ext/vector_platform_device.h
index d77e565..99972d9 100644
